{ pkgs, config, ... }:

let
  emacs-package = pkgs.emacs30-pgtk;
in {
  services.emacs = {
    enable = true;
    package = emacs-package;
    socketActivation.enable = true;
  };

  programs.emacs = {
    enable = true;
    package = emacs-package;
    extraPackages = epkgs: with epkgs; [
      treesit-grammars.with-all-grammars
      vterm
      paredit
      nix-mode
      meson-mode
      rainbow-delimiters
      darktooth-theme
      smex
      amx
      # Why the fuck would you put a '+' in your package's name
      (builtins.getAttr "ido-completing-read+" epkgs)
      no-littering
      treesit-auto
    ];
  };

  home.file."${config.xdg.configHome}/emacs".source = ./emacs.d;
}
