{ pkgs, username, ... }:

{
  programs.steam = {
    enable = true;
    gamescopeSession.enable = true;
  };
  
  environment.systemPackages = with pkgs; [
    protonup-qt
    protontricks
  ];

  # Sometimes a Steam game that runs natively on Linux
  # creates a folder somewhere in ~/.local/share or ~/.config
  # and in the usual case you would have to persist each game
  # folder individually but since we set the nix home to this
  # directory instead of the actual home directory, it all gets
  # stored in here and by persisting the entire path this becomes
  # a none issue.
  environment.persistence."/nix/persist" = {
    users."${username}".directories = [
      ".local/share/steam_home"
    ];
  };
}
